<div class="addContainer">
  <div class="modalHeader">
    <div class="editRowModal">
      <div class="modalHeader clearfix">
        <div class="modal-about">
          <div class="font-weight-bold p-t-5 p-l-10 font-17">
            {{textodedialogo}}</div>
        </div>
      </div>
    </div>
    <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
      <mat-icon>close</mat-icon>
    </button>
  </div>
  <div mat-dialog-content>
    <form class="register-form m-4" [formGroup]="formulariodiagnostico" (ngSubmit)="submit">
      <div class="row">
        <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Fecha</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="fecha" required disabled>
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
            <mat-error *ngIf="formulariodiagnostico.get('fecha').hasError('required')">
              Porfavor elija una fecha
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-xl-8 col-lg-8 col-md-12 col-sm-12 mb-2">
        </div>
      </div>
      <div class="row">
        <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width " appearance="outline">
            <mat-label>Clasificación por área</mat-label>
            <mat-select formControlName="aclasif" required>
              <mat-option [value]="'1'">
                PREVENCIÓN
              </mat-option>
              <mat-option [value]="'2'">
                OPERATORIO
              </mat-option>
              <mat-option [value]="'3'">
                ENDODONCIA
              </mat-option>
              <mat-option [value]="'4'">
                PERIODONCIA
              </mat-option>
              <mat-option [value]="'5'">
                CIRUGÍA
              </mat-option>
            </mat-select>
            <mat-error *ngIf="formulariodiagnostico.get('aclasif').hasError('required')">
              La clasificación por área es requerido
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-xl-8 col-lg-8 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width " appearance="outline">
            <mat-label>Clasificación</mat-label>
            <mat-select formControlName="idclasificacion" required>
              <ng-container *ngFor="let clasf of clasificaciones">
                <mat-option *ngIf="formulariodiagnostico.get('aclasif').value === clasf.pertenece " [value]="clasf.idClasificacion">
                  {{clasf.nombre}}
                </mat-option>
              </ng-container>
            </mat-select>
            <mat-error *ngIf="formulariodiagnostico.get('idclasificacion').hasError('required')">
              La clasificación es requerido
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Observaciones</mat-label>
            <textarea matInput formControlName="obs"></textarea>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <div class="example-button-row">
            <button mat-raised-button color="primary" [type]="submit" [disabled]="!formulariodiagnostico.valid"
              [mat-dialog-close]="1" (click)="confirmAdd()">Guardar</button>
            <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancelar</button>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
